
<div class="u-wrapper u-wrapper--large">
    
    <div class="return-section">
        <app-button mode="ghost" [routerLink]="'/home'">
        <lucide-icon></lucide-icon>
        < Retour
        </app-button>
    </div>

    <div class="pageHeader">
        <h1>Modifier un Projet</h1>
        <button type="submit" (click)="delete()">Supprimer</button>
    </div>

    <form #myForm="ngForm" (ngSubmit)="update()">
        <!-- [control]="myForm.controls['name']" permet d'afficher les erreurs automatiquement ;)  -->
        <app-field label="Titre" [control]="myForm.controls['title']">
            <input type="text" name="title" [(ngModel)]="formData.name" required />
        </app-field>
        
        <app-field label="contenu" [control]="myForm.controls['contenu']">
            <input type="text" name="contenu" [(ngModel)]="formData.descrpition" required />
        </app-field>
        
        <button type="submit" class="btn btn-primary" [disabled]="!myForm.valid" (onClick)="update()">
            Soumettre
        </button>
    </form>
</div>
  